Subject: Re: linux-next: build failure after merge of the ftrace tree

From: Stephen Rothwell <[email-masked]>
Date: Fri, 14 Jan 2022 17:42:14 +1100

Hi Steve

On Thu, 13 Jan 2022 22:50:48 -0500 Steven Rostedt <[email-masked]> wrote:
>
> On Fri, 14 Jan 2022 14:34:18 +1100
> Stephen Rothwell <[email-masked]> wrote:
> 
> > > Does it fail on anything else?    
> > 
> > This is the first build I do after merging each tree, so I don't know
> > about others.  I may be able to do some testing later today (after
> > linux-next is released).  
> 
> Could you see if this fixes it? This is a revert of part of the patch.
> Yinan, was there a reason you moved this code?

It is my fault, sorry.  I got the merge resolution wrong and managed to
remove both copies of:

info SYSMAP System.map
mksysmap vmlinux System.map

putting it back before

if [ -n "${CONFIG_BUILDTIME_TABLE_SORT}" ]; then

makes it work!

I am so sorry.  I will fix up my merge resolution for Monday.

-- 
Cheers,
Stephen Rothwell